#!/usr/bin/python
#
# PZM Motor Test - using library
#
# Created by Gareth Davies, Jan 2016
# Copyright 4tronix
#
# This code is in the public domain and may be freely copied and used
# No warranty is provided or implied
#
# Moves: Forward, Reverse, turn Right, turn Left, Stop - then repeat
# Press Ctrl-C to stop
#
# To check wiring is correct ensure the order of movement as above is correct
#
# Run using: sudo python pzmTest02.py
#
#======================================================================


import time, pzm

speed = 50 # 0 is stopped, 100 is fastest
pzm.init()

# main loop
try:
    while True:
        pzm.forward(speed)
        print 'Forward'
        time.sleep(3)
        pzm.reverse(speed)
        print 'Reverse'
        time.sleep(3)
        pzm.spinRight(speed)
        print 'Spin Right'
        time.sleep(3)
        pzm.spinLeft(speed)
        print 'Spin Left'
        time.sleep(3)
        pzm.stop()
        print 'Stop'
        time.sleep(3)

except KeyboardInterrupt:
    print

finally:
    pzm.cleanup()
    
